
QGIS Application - Bug report #19474

QGIS crashes when saving projects

2018-07-24 09:26 AM - erik sanchez

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2.1 Regression?: No

Operating System: windows 8 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27302

Description

User Feedback

It does not allow to save the projects, the program is closed only asks to restart.

(No permite guardar los proyectos, se cierra el programa sólo pide reiniciar)

Report Details

Crash ID: cce2836a2c3ca9c5ec1ac906f160fd3433d21071

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DcomChannelSetHResult :

DcomChannelSetHResult :

SHBindToParent :

Ordinal866 :

AssocCreateForClasses :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

Ordinal893 :

Ordinal211 :

SHILCreateFromPath :

Ordinal904 :

SHGetSetFolderCustomSettings :

SHGetSetFolderCustomSettings :

SHGetPropertyStoreForWindow :

DllCanUnloadNow :

RtlGetNtProductType :

RtlFreeUnicodeString :
BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-07-24 09:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from *Crash ID*: cce2836a2c3ca9c5ec1ac906f160fd3433d21071 to QGIS crashes when saving projects

- Category changed from Unknown to Project Loading/Saving

- Resolution deleted (not reproducable)

- Priority changed from Normal to High

- Pull Request or Patch supplied changed from Yes to No

Any project? even empty ones?

#2 - 2018-07-24 09:46 AM - erik sanchez

Any project does not matter if you have information.

#3 - 2018-07-24 09:51 AM - Jürgen Fischer

- Description updated

#4 - 2018-07-24 09:51 AM - Jürgen Fischer

- File deleted (reporte.txt)

#5 - 2018-07-24 10:32 AM - Giovanni Manghi

Disable/remove all the 3rd party plugins, restart qgis and try again.

#6 - 2018-07-24 07:53 PM - erik sanchez

I try to do that, but it do not work, the problem persist

#7 - 2018-07-25 08:54 AM - Giovanni Manghi
erik sanchez wrote:

I try to do that, but it do not work, the problem persist

try wiping out completely the .qgis3 folder (make a backup of it first), restart qgis, try again.

#8 - 2018-07-25 06:06 PM - erik sanchez

I install qgis 3.2.1 and the problem is solved. In other computer i copy QGIS 3.2 folder and i saw it lack few archives, i think it lose on the initial installation.

#9 - 2018-07-26 08:30 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
